<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:06 CET 2009 -->
<TITLE>
JobQueue
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.metabolic.efm.adj.incore.tree.JobQueue class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="JobQueue";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/JobQueue.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/InterNode.html" title="class in ch.javasoft.metabolic.efm.adj.incore.tree"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/JobScheduleMultiThreadTreeFactory.html" title="class in ch.javasoft.metabolic.efm.adj.incore.tree"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../index.html?ch/javasoft/metabolic/efm/adj/incore/tree/JobQueue.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="JobQueue.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.metabolic.efm.adj.incore.tree</FONT>
<BR>
Class JobQueue&lt;T extends <A HREF="../../../../../../../ch/javasoft/metabolic/efm/concurrent/ConcurrentToken.html" title="interface in ch.javasoft.metabolic.efm.concurrent">ConcurrentToken</A>&gt;</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.metabolic.efm.adj.incore.tree.JobQueue&lt;T&gt;</B>
</PRE>
<HR>
<DL>
<DT><PRE>public class <A HREF="../../../../../../../src-html/ch/javasoft/metabolic/efm/adj/incore/tree/JobQueue.html#line.53"><B>JobQueue&lt;T extends <A HREF="../../../../../../../ch/javasoft/metabolic/efm/concurrent/ConcurrentToken.html" title="interface in ch.javasoft.metabolic.efm.concurrent">ConcurrentToken</A>&gt;</B></A><DT>extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></DL>
</PRE>

<P>
Tree recursions are split up into jobs, each job is an instance of
 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Runnable.html" title="class or interface in java.lang"><CODE>Runnable</CODE></A>. The different threads can then invoke jobs.
<P>

<P>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/JobQueue.html#MAX_LEVEL_DEPTH">MAX_LEVEL_DEPTH</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;How many recursion levels should be converted to jobs?
 Maximum number of jobs is 4^levels, since every level consists of up to 
 four recursive calls.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/JobQueue.html#JobQueue(ch.javasoft.metabolic.efm.config.Config, int, T, ch.javasoft.metabolic.efm.adj.incore.tree.Root, ch.javasoft.metabolic.efm.memory.SortableMemory, ch.javasoft.metabolic.efm.memory.SortableMemory, ch.javasoft.metabolic.efm.memory.SortableMemory, ch.javasoft.metabolic.efm.adj.incore.tree.Node, ch.javasoft.metabolic.efm.adj.incore.tree.Node, boolean, java.util.Queue)">JobQueue</A></B>(<A HREF="../../../../../../../ch/javasoft/metabolic/efm/config/Config.html" title="class in ch.javasoft.metabolic.efm.config">Config</A>&nbsp;config,
                 int&nbsp;threadCount,
                 <A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/JobQueue.html" title="type parameter in JobQueue">T</A>&nbsp;token,
                 <A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/Root.html" title="interface in ch.javasoft.metabolic.efm.adj.incore.tree">Root</A>&lt;<A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/JobQueue.html" title="type parameter in JobQueue">T</A>&gt;&nbsp;root,
                 <A HREF="../../../../../../../ch/javasoft/metabolic/efm/memory/SortableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">SortableMemory</A>&lt;<A HREF="../../../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>&gt;&nbsp;posCols,
                 <A HREF="../../../../../../../ch/javasoft/metabolic/efm/memory/SortableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">SortableMemory</A>&lt;<A HREF="../../../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>&gt;&nbsp;zeroCols,
                 <A HREF="../../../../../../../ch/javasoft/metabolic/efm/memory/SortableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">SortableMemory</A>&lt;<A HREF="../../../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>&gt;&nbsp;negCols,
                 <A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/Node.html" title="class in ch.javasoft.metabolic.efm.adj.incore.tree">Node</A>&lt;<A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/JobQueue.html" title="type parameter in JobQueue">T</A>&gt;&nbsp;nodeA,
                 <A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/Node.html" title="class in ch.javasoft.metabolic.efm.adj.incore.tree">Node</A>&lt;<A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/JobQueue.html" title="type parameter in JobQueue">T</A>&gt;&nbsp;nodeB,
                 boolean&nbsp;nodeAIsPos,
                 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Queue.html" title="class or interface in java.util">Queue</A>&lt;<A HREF="../../../../../../../ch/javasoft/metabolic/efm/column/ColumnPair.html" title="class in ch.javasoft.metabolic.efm.column">ColumnPair</A>&gt;&nbsp;adjacentPairs)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;T extends <A HREF="../../../../../../../ch/javasoft/metabolic/efm/concurrent/ConcurrentToken.html" title="interface in ch.javasoft.metabolic.efm.concurrent">ConcurrentToken</A>,I&gt; 
<BR>
<A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/JobQueue.html" title="class in ch.javasoft.metabolic.efm.adj.incore.tree">JobQueue</A>&lt;T&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/JobQueue.html#createQueue(ch.javasoft.metabolic.efm.config.Config, T, ch.javasoft.metabolic.efm.adj.incore.tree.Root, ch.javasoft.metabolic.efm.memory.SortableMemory, ch.javasoft.metabolic.efm.memory.SortableMemory, ch.javasoft.metabolic.efm.memory.SortableMemory, ch.javasoft.metabolic.efm.adj.incore.tree.Node, ch.javasoft.metabolic.efm.adj.incore.tree.Node, boolean, java.util.Queue)">createQueue</A></B>(<A HREF="../../../../../../../ch/javasoft/metabolic/efm/config/Config.html" title="class in ch.javasoft.metabolic.efm.config">Config</A>&nbsp;config,
                       T&nbsp;token,
                       <A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/Root.html" title="interface in ch.javasoft.metabolic.efm.adj.incore.tree">Root</A>&lt;T&gt;&nbsp;root,
                       <A HREF="../../../../../../../ch/javasoft/metabolic/efm/memory/SortableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">SortableMemory</A>&lt;<A HREF="../../../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>&gt;&nbsp;posCols,
                       <A HREF="../../../../../../../ch/javasoft/metabolic/efm/memory/SortableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">SortableMemory</A>&lt;<A HREF="../../../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>&gt;&nbsp;zeroCols,
                       <A HREF="../../../../../../../ch/javasoft/metabolic/efm/memory/SortableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">SortableMemory</A>&lt;<A HREF="../../../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>&gt;&nbsp;negCols,
                       <A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/Node.html" title="class in ch.javasoft.metabolic.efm.adj.incore.tree">Node</A>&lt;T&gt;&nbsp;nodeA,
                       <A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/Node.html" title="class in ch.javasoft.metabolic.efm.adj.incore.tree">Node</A>&lt;T&gt;&nbsp;nodeB,
                       boolean&nbsp;nodeAIsPos,
                       <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Queue.html" title="class or interface in java.util">Queue</A>&lt;<A HREF="../../../../../../../ch/javasoft/metabolic/efm/column/ColumnPair.html" title="class in ch.javasoft.metabolic.efm.column">ColumnPair</A>&gt;&nbsp;adjacentPairs)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/JobQueue.html#execParentThread()">execParentThread</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Field Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="MAX_LEVEL_DEPTH"><!-- --></A><H3>
MAX_LEVEL_DEPTH</H3>
<PRE>
public static final int <A HREF="../../../../../../../src-html/ch/javasoft/metabolic/efm/adj/incore/tree/JobQueue.html#line.100"><B>MAX_LEVEL_DEPTH</B></A></PRE>
<DL>
<DD>How many recursion levels should be converted to jobs?
 Maximum number of jobs is 4^levels, since every level consists of up to 
 four recursive calls.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../../../../constant-values.html#ch.javasoft.metabolic.efm.adj.incore.tree.JobQueue.MAX_LEVEL_DEPTH">Constant Field Values</A></DL>
</DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="JobQueue(ch.javasoft.metabolic.efm.config.Config,int,ch.javasoft.metabolic.efm.concurrent.ConcurrentToken,ch.javasoft.metabolic.efm.adj.incore.tree.Root,ch.javasoft.metabolic.efm.memory.SortableMemory,ch.javasoft.metabolic.efm.memory.SortableMemory,ch.javasoft.metabolic.efm.memory.SortableMemory,ch.javasoft.metabolic.efm.adj.incore.tree.Node,ch.javasoft.metabolic.efm.adj.incore.tree.Node,boolean,java.util.Queue)"><!-- --></A><A NAME="JobQueue(ch.javasoft.metabolic.efm.config.Config, int, T, ch.javasoft.metabolic.efm.adj.incore.tree.Root, ch.javasoft.metabolic.efm.memory.SortableMemory, ch.javasoft.metabolic.efm.memory.SortableMemory, ch.javasoft.metabolic.efm.memory.SortableMemory, ch.javasoft.metabolic.efm.adj.incore.tree.Node, ch.javasoft.metabolic.efm.adj.incore.tree.Node, boolean, java.util.Queue)"><!-- --></A><H3>
JobQueue</H3>
<PRE>
public <A HREF="../../../../../../../src-html/ch/javasoft/metabolic/efm/adj/incore/tree/JobQueue.html#line.68"><B>JobQueue</B></A>(<A HREF="../../../../../../../ch/javasoft/metabolic/efm/config/Config.html" title="class in ch.javasoft.metabolic.efm.config">Config</A>&nbsp;config,
                int&nbsp;threadCount,
                <A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/JobQueue.html" title="type parameter in JobQueue">T</A>&nbsp;token,
                <A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/Root.html" title="interface in ch.javasoft.metabolic.efm.adj.incore.tree">Root</A>&lt;<A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/JobQueue.html" title="type parameter in JobQueue">T</A>&gt;&nbsp;root,
                <A HREF="../../../../../../../ch/javasoft/metabolic/efm/memory/SortableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">SortableMemory</A>&lt;<A HREF="../../../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>&gt;&nbsp;posCols,
                <A HREF="../../../../../../../ch/javasoft/metabolic/efm/memory/SortableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">SortableMemory</A>&lt;<A HREF="../../../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>&gt;&nbsp;zeroCols,
                <A HREF="../../../../../../../ch/javasoft/metabolic/efm/memory/SortableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">SortableMemory</A>&lt;<A HREF="../../../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>&gt;&nbsp;negCols,
                <A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/Node.html" title="class in ch.javasoft.metabolic.efm.adj.incore.tree">Node</A>&lt;<A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/JobQueue.html" title="type parameter in JobQueue">T</A>&gt;&nbsp;nodeA,
                <A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/Node.html" title="class in ch.javasoft.metabolic.efm.adj.incore.tree">Node</A>&lt;<A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/JobQueue.html" title="type parameter in JobQueue">T</A>&gt;&nbsp;nodeB,
                boolean&nbsp;nodeAIsPos,
                <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Queue.html" title="class or interface in java.util">Queue</A>&lt;<A HREF="../../../../../../../ch/javasoft/metabolic/efm/column/ColumnPair.html" title="class in ch.javasoft.metabolic.efm.column">ColumnPair</A>&gt;&nbsp;adjacentPairs)</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="createQueue(ch.javasoft.metabolic.efm.config.Config,ch.javasoft.metabolic.efm.concurrent.ConcurrentToken,ch.javasoft.metabolic.efm.adj.incore.tree.Root,ch.javasoft.metabolic.efm.memory.SortableMemory,ch.javasoft.metabolic.efm.memory.SortableMemory,ch.javasoft.metabolic.efm.memory.SortableMemory,ch.javasoft.metabolic.efm.adj.incore.tree.Node,ch.javasoft.metabolic.efm.adj.incore.tree.Node,boolean,java.util.Queue)"><!-- --></A><A NAME="createQueue(ch.javasoft.metabolic.efm.config.Config, T, ch.javasoft.metabolic.efm.adj.incore.tree.Root, ch.javasoft.metabolic.efm.memory.SortableMemory, ch.javasoft.metabolic.efm.memory.SortableMemory, ch.javasoft.metabolic.efm.memory.SortableMemory, ch.javasoft.metabolic.efm.adj.incore.tree.Node, ch.javasoft.metabolic.efm.adj.incore.tree.Node, boolean, java.util.Queue)"><!-- --></A><H3>
createQueue</H3>
<PRE>
public static &lt;T extends <A HREF="../../../../../../../ch/javasoft/metabolic/efm/concurrent/ConcurrentToken.html" title="interface in ch.javasoft.metabolic.efm.concurrent">ConcurrentToken</A>,I&gt; <A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/JobQueue.html" title="class in ch.javasoft.metabolic.efm.adj.incore.tree">JobQueue</A>&lt;T&gt; <A HREF="../../../../../../../src-html/ch/javasoft/metabolic/efm/adj/incore/tree/JobQueue.html#line.84"><B>createQueue</B></A>(<A HREF="../../../../../../../ch/javasoft/metabolic/efm/config/Config.html" title="class in ch.javasoft.metabolic.efm.config">Config</A>&nbsp;config,
                                                                    T&nbsp;token,
                                                                    <A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/Root.html" title="interface in ch.javasoft.metabolic.efm.adj.incore.tree">Root</A>&lt;T&gt;&nbsp;root,
                                                                    <A HREF="../../../../../../../ch/javasoft/metabolic/efm/memory/SortableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">SortableMemory</A>&lt;<A HREF="../../../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>&gt;&nbsp;posCols,
                                                                    <A HREF="../../../../../../../ch/javasoft/metabolic/efm/memory/SortableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">SortableMemory</A>&lt;<A HREF="../../../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>&gt;&nbsp;zeroCols,
                                                                    <A HREF="../../../../../../../ch/javasoft/metabolic/efm/memory/SortableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">SortableMemory</A>&lt;<A HREF="../../../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>&gt;&nbsp;negCols,
                                                                    <A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/Node.html" title="class in ch.javasoft.metabolic.efm.adj.incore.tree">Node</A>&lt;T&gt;&nbsp;nodeA,
                                                                    <A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/Node.html" title="class in ch.javasoft.metabolic.efm.adj.incore.tree">Node</A>&lt;T&gt;&nbsp;nodeB,
                                                                    boolean&nbsp;nodeAIsPos,
                                                                    <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Queue.html" title="class or interface in java.util">Queue</A>&lt;<A HREF="../../../../../../../ch/javasoft/metabolic/efm/column/ColumnPair.html" title="class in ch.javasoft.metabolic.efm.column">ColumnPair</A>&gt;&nbsp;adjacentPairs)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="execParentThread()"><!-- --></A><H3>
execParentThread</H3>
<PRE>
public void <A HREF="../../../../../../../src-html/ch/javasoft/metabolic/efm/adj/incore/tree/JobQueue.html#line.123"><B>execParentThread</B></A>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/JobQueue.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/InterNode.html" title="class in ch.javasoft.metabolic.efm.adj.incore.tree"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/JobScheduleMultiThreadTreeFactory.html" title="class in ch.javasoft.metabolic.efm.adj.incore.tree"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../index.html?ch/javasoft/metabolic/efm/adj/incore/tree/JobQueue.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="JobQueue.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
